local months = {"Jan", "Feb", "Mar" , "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"};
local labels = 'labels : [';
local data = 'datasets : [{fillColor : "rgba(0,0,0,0.5)", strokeColor : "rgba(0,0,0,0.5)", data : [';
local average = 0;
local count = 0;

function handle_record(record)
    local date = months[tonumber(record:get("MONTH"))] .. ' ' .. record:get("YEAR");
    labels = labels .. '"' .. date .. '",';
    record:set("DATE", date);
    local amount = string.format("%.2f", tonumber(record:get("AMOUNT")));
    if tonumber(string.sub(amount,-1)) == 0  and tonumber(string.sub(amount,-2)) ~= 0 then
        data = data .. '\'' .. amount .. '\',';
    else
        data = data .. amount .. ',';
    end
    average = average + amount;
    count = count + 1;
end

function complete(result)
    if (count > 0) then
        average = string.format("%.2f", average / count);
    else
        average = 0;
    end
    result:set("AVERAGE", average);
    result:set('TREND_DATA', string.sub(labels,1,-2) .. "]," .. string.sub(data,1,-2) .. "]}]");
end
